use crate::{FilePart, HttpMethod};
use std::collections::HashMap;

pub struct Request {
    pub method: HttpMethod,
    pub path: String,
    pub code: u8,
    pub headers: HashMap<String, String>,
    pub files: Vec<FilePart>,
    pub query_params: HashMap<String, String>,
    pub body: Vec<u8>,
}

impl Request {
    #[allow(unused)]
    fn default() -> Self {
        Request {
            method: HttpMethod::GET,
            path: String::new(),
            code: 0,
            headers: HashMap::new(),
            files: Vec::new(),
            query_params: HashMap::new(),
            body: Vec::new(),
        }
    }
}
